[ 
https://issues.apache.org/jira/browse/HBASE-18182?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Andrew Purtell updated HBASE-18182:
-----------------------------------
    Fix Version/s:     (was: 1.4.2)
                   1.4.3

> Setting HBASE_REGIONSERVER_OPTS with UseG1GC will cause regionserver start 
> error
> --------------------------------------------------------------------------------
>
>                 Key: HBASE-18182
>                 URL: https://issues.apache.org/jira/browse/HBASE-18182
>             Project: HBase
>          Issue Type: Bug
>          Components: regionserver
>    Affects Versions: 2.0.0, 1.1.6, 1.3.1, 1.2.6
>            Reporter: Fangyuan Deng
>            Assignee: Fangyuan Deng
>            Priority: Major
>             Fix For: 2.1.0, 1.3.2, 1.2.8, 1.4.3
>
>         Attachments: HBASE-18182.0.patch
>
>
> when we set in hbase-env.sh to use G1GC 
> HBASE_REGIONSERVER_OPTS="$HBASE_REGIONSERVER_OPTS -XX:+UseG1GC -Xms96g 
> -Xmx96g -XX:MaxGCPauseMillis=100"
> then run ./hbase-daemon.sh start regionserver
> Conflicting collector combinations in option list; please refer to the 
> release notes for the combinations allowed
> Error: Could not create the Java Virtual Machine.
> Error: A fatal exception has occurred. Program will exit.
> because the HBASE_OPTS default use CMS and is conflicted with 
> HBASE_REGIONSERVER_OPTS
> so I add a patch to modify bin/hbase like this
> elif [ "$COMMAND" = "regionserver" ] ; then
>   CLASS='org.apache.hadoop.hbase.regionserver.HRegionServer'
>   if [ "$1" != "stop" ] ; then
>     HBASE_OPTS="$HBASE_OPTS $HBASE_REGIONSERVER_OPTS"
>     if [[ $HBASE_REGIONSERVER_OPTS == *UseG1GC*  ]] ; then
>       HBASE_OPTS=${HBASE_OPTS/'-XX:+UseConcMarkSweepGC'/''}
>     fi
>   fi



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to